## org.biojava.bio.seq.ragbag
Class RagbagHashedComponentDirectory

    java.lang.Object
      org.biojava.bio.seq.ragbag.RagbagHashedComponentDirectory

All Implemented Interfaces:
  RagbagComponentDirectory

public class RagbagHashedComponentDirectory
extends java.lang.Object
implements RagbagComponentDirectory

provides a mapping of a reference to a specific ComponentFeature It exists primarily to support the getComponent method of DASDataSource.

Since:
  1.2
Author:
  David Huen

Nested Class Summary

Nested classes inherited from class org.biojava.bio.seq.ragbag.RagbagComponentDirectory
`RagbagComponentDirectory.EmptyComponentDirectory`

Field Summary

Fields inherited from interface org.biojava.bio.seq.ragbag.RagbagComponentDirectory
`UNLOGGED`

Constructor Summary
`RagbagHashedComponentDirectory()`

Method Summary
`void` `addComponentFeature(java.lang.String ref, ComponentFeature cf)` Add specified component feature to the directory
`ComponentFeature` `getComponentFeature(java.lang.String ref)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RagbagHashedComponentDirectory

    public RagbagHashedComponentDirectory()

Method Detail

### addComponentFeature

    public void addComponentFeature(java.lang.String ref,
                                    ComponentFeature cf)

  Add specified component feature to the directory

  Specified by:
    `addComponentFeature` in interface `RagbagComponentDirectory`

### getComponentFeature

    public ComponentFeature getComponentFeature(java.lang.String ref)

  Specified by:
    `getComponentFeature` in interface `RagbagComponentDirectory`
  Parameters:
    `ref` - reference used in the RagbagMap file for this mapping